<template>
  <div class="mainbox" :style="{ height: viewportHeight + 'px' }">
    <el-tabs
      type="border-card"
      :style="{ height: viewportHeight + 'px' }"
      tab-position="left"
    >
      <el-tab-pane label="新建工作">
        <div class="box">
          <div class="title">公文</div>
          <el-row :gutter="12">
            <el-col :span="8">
              <el-card shadow="hover">发文登记</el-card>
            </el-col>
            <el-col :span="8">
              <el-card shadow="hover">收文登记</el-card>
            </el-col>
          </el-row>
        </div>
        <div class="box">
          <div class="title">行政</div>
          <el-row :gutter="12">
            <el-col :span="8">
              <el-card shadow="hover">采购申请单</el-card>
            </el-col>
            <el-col :span="8">
              <el-card shadow="hover">费用报销单</el-card>
            </el-col>
            <el-col :span="8">
              <el-card shadow="hover">会议申请单</el-card>
            </el-col>
            <el-col :span="8">
              <el-card shadow="hover">办公用品申请单</el-card>
            </el-col>
          </el-row>
        </div>
        <div class="box">
          <div class="title">人事</div>
          <el-row :gutter="12">
            <el-col :span="8">
              <el-card shadow="hover">员工请假单</el-card>
            </el-col>
            <el-col :span="8">
              <el-card shadow="hover">离职申请单</el-card>
            </el-col>
          </el-row>
        </div>
        <div class="box">
          <div class="title">其他</div>
          <el-row :gutter="12">
            <el-col :span="8">
              <el-card shadow="hover">请假申请表</el-card>
            </el-col>
            <el-col :span="8">
              <el-card shadow="hover">工作日志</el-card>
            </el-col>
            <el-col :span="8">
              <el-card shadow="hover">资源申请单</el-card>
            </el-col>
            <el-col :span="8">
              <el-card shadow="hover">车辆申请单</el-card>
            </el-col>
          </el-row>
        </div>
      </el-tab-pane>
    </el-tabs>
  </div>
</template>

<script>
export default {
  data() {
    return {
      viewportHeight: window.innerHeight,
    };
  },
  methods: {
    goToItemPage() {
      this.$router.push("/shenpiliucheng/item");
    },
  },
};
</script>
<style scoped >
.box {
  margin-bottom: 20px;
}
.box .title {
    margin-bottom: 20px;
    font-size: 24px;
    font-weight: 700;
  }
.box /deep/ .el-col {
    margin-bottom: 20px;
    cursor: pointer;
  }
</style>